#!/bin/sh

MSG="`which gxmessage`" || MSG=xmessage

if ! md5sum -c md5sum.txt
then
	$MSG -geometry 640x160 -center -title "xrick Installer" "MD5SUM ERROR: xrick has NOT been installed"
	exit 1
fi

FOO=/root/my-roxapps
[ -d $FOO ] || mkdir $FOO

if [ -d "$FOO/xrick" ];then
	$MSG -buttons "UnInstall:21,ReInstall:22,Quit" -geometry 640x160 -center -title "xrick Installer" "$FOO/xrick is already installed"
	case $? in
		21)
			rm -rf "$FOO/xrick"
			$MSG -geometry 640x160 -center -title "xrick Installer" "xrick has been uninstalled"
			exit
		 ;;
		22) true ;;
		*) exit ;;
	esac
fi

rm -rf $FOO/xrick/
mv xrick/ $FOO/xrick/
rox $FOO &

$MSG -geometry 640x160 -center -title "xrick Installer" "xrick has been installed"




